package cz.moneta.test.harness.support.greenscreen;

import cz.moneta.test.harness.support.util.Level;

import java.lang.annotation.ElementType;
import java.lang.annotation.Repeatable;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target({ElementType.METHOD, ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Repeatable(Logs.class)
public @interface Log {

    Level level() default Level.INFO;

    int row() default 1;

    int column() default 1;

    int length() default 0;

    String template() default "{}";
}
